Subject: Re: bug#23124: Two minibuffer resize related bugs

From: martin rudalics <[email-masked]>
Date: Tue, 29 Mar 2016 18:02:19 +0200

>>   >> At this moment "nothing" happens here (Bug#1).  When I now switch (via
 >>   >> Alt TAB) to the new frame (the one created via C-x 5 2), the message
 >>   >> appears there.  When I now type C-p in the new frame, the minibuffer
 >>   >> window shrinks back but the space previously occupied by the modeline of
 >>   >> the window above is not redrawn, hence I get two modelines above each
 >>   >> other (Bug#2).
 >>
 >> I've now traced this behavior back to this
 >
 > "This behavior" being what? both the "nothing happens" part and the
 > "duplicate mode line" part?

Yes, both.

 >> In fact, removing the
 >>
 >>         x_consider_frame_title (w->frame);
 >>
 >> call from redisplay_window fixes both bugs here.
 >
 > Can you explain how the call to x_consider_frame_title causes problems
 > with the echo area and the mode line?

Be assured I would have done that if I had found a clue.

 > That function recomputes the
 > frame's title, and AFAIK does nothing more.  So I'm really confused
 > here.

The only explanation I have is that frame creation in some way screws up
the unwind protection logic, but how?  Naively thought "frame creation
already screwed up selected frame or window but that fact manifests
itself only now via the unwind protection logic".

martin